package function;

import main.zeroAndRelativeError;

public class Tan implements IFunction {

	public double calculate(double... x) {

		double temp = (x[0] - Math.PI / 2) / Math.PI;
		temp = Math.abs(temp - Math.rint(temp)) * Math.PI;
		if (temp < zeroAndRelativeError.getZero()) {
			return 1.0;
		}
		return Math.tan(x[0]);
	}

}
