package main;

import java.util.ArrayList;
import java.util.Iterator;

public class NDecimialNumberArray {

	ArrayList<NDecimialNumber> array_ = new ArrayList<NDecimialNumber>();

	public NDecimialNumberArray() {
	}

	public ArrayList<NDecimialNumber> getArray() {
		return array_;
	}

	public void setArray(ArrayList<NDecimialNumber> array) {
		array_ = array;
	}

	public boolean next() {

		boolean carry = true;
		int i = 0;

		while (carry) {
			carry = array_.get(i).next();
			i++;
			if (array_.size() == i && carry) {
				return true;
			}
		}
		return false;
	}

	public void reset() {
		for (int i = 0; i < array_.size(); i++) {
			array_.get(i).setNum(0);
		}
	}

	public int getNumOfSymbol(String symbol) {
		Iterator<NDecimialNumber> it = array_.iterator();
		while (it.hasNext()) {
			NDecimialNumber num = it.next();
			if (num.getSymbol().equals(symbol)) {
				return num.getNum();
			}
		}
		return -1;
	}
}
