package simplifyRule;

import main.MyTreeNode;

public class MulRule extends ChangeChildNodeRule implements ISimplifyRule {

	public boolean simplify(MyTreeNode element) {

		MyTreeNode child1 = (MyTreeNode) element.getChildAt(0);
		MyTreeNode child2 = (MyTreeNode) element.getChildAt(1);

		if (child1.toString().equals("0") || child2.toString().equals("0")) {
			element.setUserObject("0");
			element.removeAllChildren();
			return true;
		} else if (child1.toString().equals("1")) {
			changeChildNode(element, child2);
			return true;
		} else if (child2.toString().equals("1")) {
			changeChildNode(element, child1);
			return true;
		} else {
			return false;
		}
	}

}
