package test;

import main.MyFileReader;
import main.MyTreeNode;
import main.MyTreeUtil;
import junit.framework.TestCase;

public class MyTreeUtilTest extends TestCase {

	MyFileReader reader_ = new MyFileReader();

	public void testTreeToPostOrder() {
		MyTreeUtil.setSimplify(reader_.getSimplify());
		String[] str = { "1 0 + X X * 0 / -", "0 0 / 1 + X 0 - *",
				"X X + X X + X X + + +", "0 0 + 1 1 - + X / 1 *" };

		for (int i = 0; i < str.length; i++) {
			MyTreeNode node = MyTreeUtil.postOrderToTree(str[i]);
			String temp = MyTreeUtil.TreeToPostOrder(node);
			assertEquals(str[i], temp);
		}
	}

	public void testPostOrderToTree() {

	}

	public void testReorderTree() {
		MyTreeUtil.setSimplify(reader_.getSimplify());
		assertEquals("1 X +", MyTreeUtil.reorderTree("X 1 +"));
		assertEquals("1 X +", MyTreeUtil.reorderTree("1 X +"));
		assertEquals("1 0 S X * /", MyTreeUtil.reorderTree("1 X 0 S * /"));
		assertEquals("0 1 * 1 X + +", MyTreeUtil.reorderTree("1 0 * X 1 + +"));

	}
}
