package function;

public class FunctionFactory {

	public static IFunction createFunction(String name) {

		try {
			return (IFunction) Class.forName(name).newInstance();
		} catch (Exception e) {
			e.printStackTrace();
			throw new IllegalArgumentException(name);
		}
	}

}
