package main;

public class SimplifyFactory {

	public static ISimplify createSimplify(String name) {
		try {
			return (ISimplify) Class.forName(name).newInstance();
		} catch (Exception e) {
			e.printStackTrace();
			throw new IllegalArgumentException(e);
		}
	}
}
