package operand;

public class OperandFactory {

	public static IOperand createOperand(String name) {

		try {
			return (IOperand) Class.forName(name).newInstance();
		} catch (Exception e) {
			e.printStackTrace();
			throw new IllegalArgumentException(name);
		}
	}
}
