package operator;

import simplifyRule.ISimplifyRule;
import function.IFunction;

public class NOperator implements IOperator {

	// symbol
	private String symbol_;

	// function class
	private IFunction function_;

	// number of operand
	private int numOfOperand_;

	// class of rule base simplification
	private ISimplifyRule simplifyRule_;

	// commutative info
	private boolean isChangeable_;

	public NOperator() {
	}

	public IFunction getFunction() {
		return function_;
	}

	public String getSymbol() {
		return symbol_;
	}

	public int numOfOperand() {
		return numOfOperand_;
	}

	public ISimplifyRule getSimplifyRule() {
		return simplifyRule_;
	}

	public boolean isChangeable() {
		return isChangeable_;
	}

	public void setAllParams(String symbol, IFunction function,
			int numOfOperand, ISimplifyRule simplifyRule, boolean isChangeable) {
		symbol_ = symbol;
		function_ = function;
		numOfOperand_ = numOfOperand;
		simplifyRule_ = simplifyRule;
		isChangeable_ = isChangeable;

	}
}
