package operator;

public class OperatorFactory {

	public static IOperator createOperator(String name) {

		try {
			return (IOperator) Class.forName(name).newInstance();
		} catch (Exception e) {
			e.printStackTrace();
			throw new IllegalArgumentException(name);
		}
	}
}
