package simplifyRule;

import main.MyTreeNode;

public abstract class ChangeChildNodeRule implements ISimplifyRule {

	protected void changeChildNode(MyTreeNode removeNode, MyTreeNode insertNode) {

		removeNode.setUserObject(insertNode.toString());
		removeNode.removeAllChildren();

		int childCount = insertNode.getChildCount();
		for (int i = 0; i < childCount; i++) {
			removeNode.add((MyTreeNode) insertNode.getChildAt(0));
		}
	}
}
